Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

How to upgrade?

Help
CS
2014-02-20
2014-02-22
  • CS
    CS
    2014-02-20

    Hello:
    I am running Posh 3.2.1, and would like to upgrade to 3.3.0. What are the best steps to upgrade Posh to the newest version (remove all php files and REPLACE with new version, or leave old php files in place and overwrite them with new files?). I have many custom widgets and want to keep them in place.
    Thank you very much.

     
  • Hello, the best is to leave old php files and to overwrite them. Then launch /install/ in your web browser.
    You will not loose your custom widgets

     
  • CS
    CS
    2014-02-21

    Thank you for your help. I have done as you mentioned... left old php files and overwrote with the files from 3.3.0, then ran the install (upgrade). When it got to the step to upgrade the database, there was an error:

    ALTER TABLE rssnewspaper_publication_article CHANGE img img VARCHAR(200);"
    ERROR 1146 (42S02): Table 'posh.rssnewspaper_publication_article' doesn't exist."

    I did verify that this table is not in the database.
    Everything else worked, but a couple RSS feeds no longer work.
    Please advise if there is a possible fix for this. Thank you.

     
  • Hello, it is strange that some Rss feed do not work any more. Do you have examples ?

     
  • CS
    CS
    2014-02-22

    Thanks for the reply. Yes, a couple of RSS feeds that used to work in version 3.2.1, now are empty. One of them is this one:

    http://www.livingstondaily.com/section/rss01&mime=xml

    Is the database error not a critical error? Everything else seems to work fine.
    Thank you!